<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
    <head>
        <title>Pago Efectivo</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <link rel="stylesheet" href="lib_pagoefectivo/css/estilos.css" type="text/css" />
        <link rel="stylesheet" href="tools/css/style.css" type="text/css" />
        <script type="text/javascript" src="lib_pagoefectivo/js/jquery.min.js"></script>        
        <script type="text/javascript">
            $(document).ready(function () {
                var error = "${error}";
                if( error !== "")$("#mensaje").text(error);
                else{
                    var mod_integracion = "${mod_integracion}";
                    if(mod_integracion == "1")
                    {
                        $("#iframe_cip").attr({src: "${iframe_url}"});
                        $("#iframe_cip").show();
                    }
                    else
                    {
                        location.href="${iframe_url}";
                    }
                }
            });
        </script>
    </head>
    <body>
        <div id="main">
            <div id="content" class="bootstrap">
              <!-- MENU -->
              <div class="bootstrap">
                      <nav id="nav-sidebar" role="navigation">
                      <img src="lib_pagoefectivo/images/logo_pagoefectivo_112x52.jpg" style="padding: 0 0 0 20%" alt="Pago Efectivo" title="Pago Efectivo" runat="server" />
                        <ul class="menu">
                            <li class="maintab"><a href="GenerarCip" class="title" runat="server"><i class="icon-AdminCatalog"></i><span>Generar Cip</span></a></li>
                            <li class="maintab"><a href="urlNotificacion" class="title" runat="server"><i class="icon-AdminCatalog"></i><span>Notificación Cip</span></a></li>
                            <li class="maintab"><a href="consultarCIP" class="title" runat="server"><i class="icon-AdminCatalog"></i><span>Consultar Cip</span></a></li>
                            <li class="maintab"><a href="eliminarCIP" class="title" runat="server"><i class="icon-AdminCatalog"></i><span>Eliminar Cip</span></a></li>
                            <li class="maintab"><a href="actualizarCIP" class="title" runat="server"><i class="icon-AdminCatalog"></i><span>Actualizar Cip</span></a></li>
                        </ul>
                    </nav>
            </div>        
            <div class="bootstrap pspagoefectivo">
                <div class="page-head">
                    <ul class="breadcrumb page-breadcrumb">
                        <li class="breadcrumb-current">
                            <i class="icon-AdminParentModules"></i>
                        </li>
                    </ul>
                    <h2 class="page-title">
                        Generar Cip: Respuesta Pago Efectivo
                    </h2>

                </div>
            </div>
            <div class="bootstrap pspagoefectivo">
              <center>
                  <span id="mensaje"></span>
                  <iframe id="iframe_cip" src="" width="1100"  height="1210" frameborder=0 style="border:1px solid #000000;display:none" runat="server">
                      Su navegador no soporta iframes
                  </iframe>
              </center>
             </div>
    </body>
</html>
