/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package servlets;

import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;
import pagoEfectivo.api.PagoEfectivo;
import org.tempuri.*;
import java.util.Random;
import java.util.Date;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import be.BEGenRequest;
import be.BEpaymentResponse;
import bl.bl_helper;

/**
 *
 * @author PROYPERU
 */
public class cip extends HttpServlet {

    /**
     * Processes requests for both HTTP
     * <code>GET</code> and
     * <code>POST</code> methods.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        try {
            out.println("<html>");
            out.println("<head>");
            out.println("<title>Servlet portalPage</title>");
            out.println("</head>");
            out.println("<body>");
            out.println("<h1>Servlet portalPage at " + request.getContextPath() + "</h1>");
            out.println("</body>");
            out.println("</html>");
        } finally {
            out.close();
        }
    }

    /**
     * Handles the HTTP
     * <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        request.setAttribute("error", "1");
        RequestDispatcher dispatcher = getServletContext().getRequestDispatcher("/index.jsp");
        dispatcher.forward(request, response);
    }

    /**
     * Handles the HTTP
     * <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        //obtenemos los datos de prueba (revisar index.jsp)
               
        DateFormat dateFormat = new SimpleDateFormat("dd/MM/yyyy HH:mm:ss");
        Date curDate = new Date();
        Date expdate = new Date(curDate.getTime() + Integer.parseInt(this.getServletContext().getInitParameter("PE_TIEMPO_EXPIRACION")) * 60 * 60 * 1000);

        BEGenRequest paymentRequest = new BEGenRequest();
        paymentRequest.moneda = this.getServletContext().getInitParameter("PE_MONEDA");
        paymentRequest.monto = request.getParameter("t-total");
        paymentRequest.medio_pago = this.getServletContext().getInitParameter("PE_MEDIO_PAGO");
        paymentRequest.cod_servicio = this.getServletContext().getInitParameter("PE_MERCHAND_ID");
        paymentRequest.numero_orden = "9" + new Random().nextInt(999999);
        paymentRequest.concepto_pago = this.getServletContext().getInitParameter("PE_COMERCIO_CONCEPTO_PAGO") + ": Orden " + paymentRequest.numero_orden;
        paymentRequest.email_comercio = this.getServletContext().getInitParameter("PE_EMAIL_PORTAL");
        paymentRequest.fecha_expirar = dateFormat.format(expdate);
        paymentRequest.usuario_nombre = "Pedro Esteban";
        paymentRequest.usuario_apellidos = "Dido Efectivo";
        paymentRequest.usuario_email = "pepruebas@gmail.com";
        paymentRequest.usuario_id = "001";
        paymentRequest.data_adicional = "Canal Web";
        paymentRequest.usuario_localidad = "LIMA";
        paymentRequest.usuario_provincia = "LIMA";
        paymentRequest.usuario_pais = "PERU";
        paymentRequest.usuario_alias = "Cemafa";
        paymentRequest.usuario_tipo_doc = "DNI";
        paymentRequest.usuario_numero_doc = "44444444";
        paymentRequest.usuario_telefono = "999999999";

        try {
            PagoEfectivo.PublicPath = getServletContext().getInitParameter("PE_PUBLICKEY");
            PagoEfectivo.PrivatePath = getServletContext().getInitParameter("PE_PRIVATEKEY");
            PagoEfectivo.UrlPECriptography = getServletContext().getInitParameter("PE_SERVER") + getServletContext().getInitParameter("PE_WSCRYPTA");
            PagoEfectivo.UrlPEService = getServletContext().getInitParameter("PE_SERVER") + getServletContext().getInitParameter("PE_WSGENCIP");
            PagoEfectivo.CodServ = getServletContext().getInitParameter("PE_MERCHAND_ID");
            
            PagoEfectivo pagoefectivo = new PagoEfectivo();
            BEpaymentResponse paymentResponse = pagoefectivo.GenerarCIP(paymentRequest);
            
            if("1".equals(paymentResponse.Estado))
            {
                String redirect_url = "";
                if("1".equals(this.getServletContext().getInitParameter("PE_MOD_INTEGRACION")))
                {
                    redirect_url = this.getServletContext().getInitParameter("PE_SERVER") + this.getServletContext().getInitParameter("PE_WSGENPAGOIFRAME");
                }
                else
                {
                    redirect_url = this.getServletContext().getInitParameter("PE_SERVER") + this.getServletContext().getInitParameter("PE_WSGENPAGO");
                    
                }
                request.setAttribute("iframe_url", response.encodeRedirectURL(redirect_url+"?Token="+ paymentResponse.Token));
                request.setAttribute("mod_integracion", this.getServletContext().getInitParameter("PE_MOD_INTEGRACION"));
            }
            else if("0".equals(paymentResponse.Estado))
            {
                request.setAttribute("error", ("<h1>Existe un error de validación en PagoEfectivo</h1>" + 
                            "<p>Estado: " + paymentResponse.Estado + "</p>" +
                            "<p>Mensaje: " + paymentResponse.Mensaje + "</p>").replaceAll("(\\r|\\n)", ""));
            }
            else if("-1".equals(paymentResponse.Estado))
            {
                request.setAttribute("error", ("<h1>Existe un error en pagoEfectivo</h1>" + 
                            "<p>Estado: " + paymentResponse.Estado + "</p>" +
                            "<p>Mensaje: " + paymentResponse.Mensaje + "</p>").replaceAll("(\\r|\\n)", ""));
            }
        } catch (Exception ex) {
            request.setAttribute("error", ex.toString().replaceAll("(\\r|\\n)", ""));           
        }
        RequestDispatcher dispatcher = getServletContext().getRequestDispatcher("/cip.jsp");
        dispatcher.forward(request, response);
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
