/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package servlets;

import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import org.tempuri.*;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;
import pagoEfectivo.api.PagoEfectivo;

/**
 *
 * @author PROYPERU
 */
public class consultarCIP extends HttpServlet {

    /**
     * Processes requests for both HTTP
     * <code>GET</code> and
     * <code>POST</code> methods.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        try {
            /* TODO output your page here. You may use following sample code. */
            out.println("<html>");
            out.println("<head>");
            out.println("<title>Servlet consultarCIP</title>");
            out.println("</head>");
            out.println("<body>");
            out.println("<h1>Servlet consultarCIP at " + request.getContextPath() + "</h1>");
            out.println("</body>");
            out.println("</html>");
        } finally {
            out.close();
        }
    }

    /**
     * Handles the HTTP
     * <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        RequestDispatcher dispatcher = getServletContext().getRequestDispatcher("/consultarCIP.jsp");
        dispatcher.forward(request, response);
    }

    /**
     * Handles the HTTP
     * <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        try {
            PagoEfectivo.PublicPath = getServletContext().getInitParameter("PE_PUBLICKEY");
            PagoEfectivo.PrivatePath = getServletContext().getInitParameter("PE_PRIVATEKEY");
            PagoEfectivo.UrlPECriptography = getServletContext().getInitParameter("PE_SERVER") + getServletContext().getInitParameter("PE_WSCRYPTA");
            PagoEfectivo.UrlPEService = getServletContext().getInitParameter("PE_SERVER") + getServletContext().getInitParameter("PE_WSGENCIP");
            
            request.setAttribute("cips", request.getParameter("cips"));

            //Para este caso solo necesitamos asignar la url del WS de PagoEfectivo
            BEWSConsultarCIPRequestMod1 requestPagoEfectivo = new BEWSConsultarCIPRequestMod1();
            //El Codigo de Servicio puede ser asignado directamente del web.xml
            requestPagoEfectivo.setCodServ(getServletContext().getInitParameter("PE_MERCHAND_ID"));

            //Los cips asignados manualmente
            requestPagoEfectivo.setCIPS(request.getParameter("cips"));
            //Este dato solo se enviará si se hace una modificación en la consulta por parte de PagoEfectivo
            //por el momento siempre irá vacío
            requestPagoEfectivo.setInfoRequest("");

            //Ejecutamos la Consulta de la clase PagoEfectivo(API)
            PagoEfectivo pagoefectivo = new PagoEfectivo();
            BEWSConsultarCIPResponseMod1 responsePagoEfectivo = pagoefectivo.ConsultarCIP(requestPagoEfectivo);
            String xml = responsePagoEfectivo.getXML();

            //Verificamos el estado de la consulta (1:Exito, 0:validación, -1:error)
            switch (Integer.parseInt(responsePagoEfectivo.getEstado())) {
                case 1: //Exito
                    
                    break;
                case 0: //Validación
                    //Verificar la validación
                    //guardarLog(response.getMensaje);
                    break;
                case -1: //Error
                    //Ocurrio un error en PagoEfectivo, contactarse con pagoEfectivo.
                    //guardarLog(response.getMensaje);
                    break;
            }

            //Asignamos las variables para pintarlas en la pagina
            request.setAttribute("xml", xml.trim());
            request.setAttribute("estado", responsePagoEfectivo.getEstado());
            request.setAttribute("mensaje", responsePagoEfectivo.getMensaje());

        } catch (Exception ex) {
            //Manejo de excecion en caso no pueda completar la transacción
            request.setAttribute("mensaje", ex.getMessage());
        }
        RequestDispatcher dispatcher = getServletContext().getRequestDispatcher("/consultarCIP.jsp");
        dispatcher.forward(request, response);
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
