<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
    <head>
        <title>Pago Efectivo</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <link rel="stylesheet" href="lib_pagoefectivo/css/estilos.css" type="text/css" />
        <link rel="stylesheet" href="tools/css/style.css" type="text/css" />
        <script type="text/javascript" src="lib_pagoefectivo/js/jquery.min.js"></script>        
        <link href="tools/css/bootstrap.css" rel="stylesheet" type="text/css" />
        <link href="tools/css/bootstrap-datetimepicker.min.css" rel="stylesheet" type="text/css" />
        <script type="text/javascript" src="tools/js/bootstrap.min.js"></script>
        <script type="text/javascript" src="tools/js/bootstrap-datetimepicker.min.js"></script>
        <script type="text/javascript" src="tools/js/bootstrap-datetimepicker.pt-BR.js"></script>
        <script type="text/javascript">
            $(document).ready(function () {
                $('#datetimepicker').datetimepicker({
                    format: 'dd/MM/yyyy hh:mm:ss',
                    language: 'pt-BR'
                });
            });
        </script>
    </head>
    <body>
        <div id="main">
            <div id="content" class="bootstrap">
              <!-- MENU -->
              <div class="bootstrap">
                      <nav id="nav-sidebar" role="navigation">
                      <img src="lib_pagoefectivo/images/logo_pagoefectivo_112x52.jpg" style="padding: 0 0 0 20%" alt="Pago Efectivo" title="Pago Efectivo" runat="server" />
                        <ul class="menu">
                            <li class="maintab"><a href="GenerarCip" class="title" runat="server"><i class="icon-AdminCatalog"></i><span>Generar Cip</span></a></li>
                            <li class="maintab"><a href="urlNotificacion" class="title" runat="server"><i class="icon-AdminCatalog"></i><span>Notificación Cip</span></a></li>
                            <li class="maintab"><a href="consultarCIP" class="title" runat="server"><i class="icon-AdminCatalog"></i><span>Consultar Cip</span></a></li>
                            <li class="maintab"><a href="eliminarCIP" class="title" runat="server"><i class="icon-AdminCatalog"></i><span>Eliminar Cip</span></a></li>
                            <li class="maintab"><a href="actualizarCIP" class="title" runat="server"><i class="icon-AdminCatalog"></i><span>Actualizar Cip</span></a></li>
                        </ul>
                    </nav>
            </div>        
            <div class="bootstrap pspagoefectivo">
              <div class="page-head">
                  <ul class="breadcrumb page-breadcrumb">
                      <li class="breadcrumb-current">
                          <i class="icon-AdminParentModules"></i>
                      </li>
                  </ul>
                  <h2 class="page-title">
                      Actualizar Cip
                  </h2>

              </div>
          </div>
          <div class="bootstrap pspagoefectivo">
            <div class='pe_pago'>
            <div class='pe_payment'>
            <form name="actualizarCIP" method="post" action="actualizarCIP">
                Num CIP:<br /><input type="text" name="cip" value="${cip}" style="width:250px" />
                <br /><br />Fecha de Expiración:<div id="datetimepicker" class="input-append date">
                    <input type="text" name="fecha" value="${fecha}" style="width:250px" />
                    <span class="add-on">
                        <i data-time-icon="icon-time" data-date-icon="icon-calendar"></i>
                    </span>
                </div>
                <br />
                <input name="btnActualizarCIP" type="submit" value="Actualizar CIP" />
                <br /><br /><br />
                <table>
                    <tr>
                        <td>Resultado:</td>
                        <td></td>
                    </tr>
                    <tr>
                        <td>Estado:</td>
                        <td>
                            <input type="text" value="${estado}" style="width:800px" />
                        </td>
                     </tr>                            
                    <tr>
                        <td>Mensaje:</td>
                        <td>
                            <input type="text" value="${mensaje}" style="width:800px" />
                        </td>
                     </tr>                         
                </table>                
            </form>
        </div>
        </div>
        </div>
    </body>
</html>

