<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
    <head>
        <title>Pago Efectivo</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <link rel="stylesheet" href="lib_pagoefectivo/css/estilos.css" type="text/css" />
        <link rel="stylesheet" href="tools/css/style.css" type="text/css" />
        <script type="text/javascript" src="lib_pagoefectivo/js/jquery.min.js"></script>
        <link href="lib_pagoefectivo/js/fancybox/jquery.fancybox.css" rel="stylesheet" type="text/css" />
        <script src="lib_pagoefectivo/js/fancybox/jquery.fancybox.js" type="text/javascript"></script>
        <script src="lib_pagoefectivo/js/swfobject/swfobject.js" type="text/javascript"></script>
        <script src="lib_pagoefectivo/js/JScript.js" type="text/javascript"></script>
        <script type="text/javascript">
            $(document).ready(function () {
                document.getElementById("fancy").href="<%= application.getInitParameter("PE_SERVER") + application.getInitParameter("PE_URL_POPUP")%>";
            });
        </script>
    </head>
    <body>
        <div id="main">
            <div id="content" class="bootstrap">
              <!-- MENU -->
              <div class="bootstrap">
                      <nav id="nav-sidebar" role="navigation">
                      <img src="lib_pagoefectivo/images/Logo32-x-32.jpg" style="padding: 0 0 0 20%" alt="Pago Efectivo" title="Pago Efectivo" runat="server" />
                        <ul class="menu">
                            <li class="maintab"><a href="GenerarCip" class="title" runat="server"><i class="icon-AdminCatalog"></i><span>Generar Cip</span></a></li>
                            <li class="maintab"><a href="urlNotificacion" class="title" runat="server"><i class="icon-AdminCatalog"></i><span>Notificación Cip</span></a></li>
                            <li class="maintab"><a href="consultarCIP" class="title" runat="server"><i class="icon-AdminCatalog"></i><span>Consultar Cip</span></a></li>
                            <li class="maintab"><a href="eliminarCIP" class="title" runat="server"><i class="icon-AdminCatalog"></i><span>Eliminar Cip</span></a></li>
                            <li class="maintab"><a href="actualizarCIP" class="title" runat="server"><i class="icon-AdminCatalog"></i><span>Actualizar Cip</span></a></li>
                        </ul>
                    </nav>
            </div>        
            <div class="bootstrap pspagoefectivo">
                <div class="page-head">
                    <ul class="breadcrumb page-breadcrumb">
                        <li class="breadcrumb-current">
                            <i class="icon-AdminParentModules"></i>
                        </li>
                    </ul>
                    <h2 class="page-title">
                        Generar Cip
                    </h2>

                </div>
            </div>
            <div class="bootstrap pspagoefectivo">
            <br /><br /><br />
                <div class="pe_pago">

        <form name="solitarPago" method="post" action="cip">
            <div class="pe_detail">
                <h3>
                    Detalle de compra
                    <a class="pe_inline_mdl cboxElement" href="#mira-tus-avisos"></a>
                </h3>
                <div class="pe_content">
                    <ul>                        
                        <li>Detalle del producto</li>
                        <li>comentarios adicionales</li>
                    </ul>
                    <p class="pe_total">Total: <span>S/. <span id="pe_s-total">2.00</span></span></p>
                    <input type="hidden" name="t-total" id="pe_t-total" value="2" />
                    <p class="pe_obs">El precio incluye IGV. La compra, en la fecha indicada, est&aacute; sujeta al pago antes de la fecha de cierre.</p>
                </div>
            </div>    
            <div class="pe_payment">
                <h3>M&eacute;todo de pago</h3>
                <div class="pe_option_pago">
                    <div class="pe_title">
                        <span class="pe_inline"><strong>Pagar sin Tarjeta de Cr&eacute;dito</strong></span>
                        <a class="pe_pregunta iframe" title="&iquest;Qu&eacute; es PagoEfectivo?" href="#"></a> <br/><br/>
                    </div>
                    <input type="radio" style="float:left;"  value="2" name="metodopago" checked="checked" id="form-validation-field-1">
                    <div style="float: left; width: 160px;"><img width="135" height="60" src="lib_pagoefectivo/images/uno.png"></div>
                    <div style="float: left; text-align: justify; width: 400px;">
                        <h4>Tranferencia bancaria (PagoEfectivo)</h4>
                        <span id="infoPago">Paga a través de tu banca por internet en BBVA, BCP, INTERBANK, SCOTIABANK y BANBIF. Debítalo de tu cuenta o cárgalo a tu tarjeta de crédito asociada.</span>
                        <span style="font-size: 10px;"> 
                            <a class="iframe" id="fancy" href="" style="color: #006999; text-decoration: none;">&iquest;C&oacutemo funciona PagoEfectivo?</a>
                        </span>
                    </div>
                    
                    <br/><br/><br/><br/><br/><br/>
                    
                    <input type="radio" style="float:left;"  value="2" name="metodopago" id="form-validation-field-1">
                    <div style="float: left; width: 160px;"><img width="135" height="60" src="lib_pagoefectivo/images/dos.png"></div>
                    <div style="float: left; text-align: justify; width: 400px;">
                        <h4>Depósito en efectivo (PagoEfectivo)</h4>
                        <span id="infoPago">Acércate a cualquier punto del BBVA, BCP, INTERBANK, SCOTIABANK y BANBIF. Agentes corresponsales KASNET, WESTERUNION – Pago de Servicios y FULLCARGA.</span>
                        <span style="font-size: 10px;"> 
                            <a class="iframe" id="fancy" href="" style="color: #006999; text-decoration: none;">&iquest;C&oacutemo funciona PagoEfectivo?</a>
                        </span>
                    </div>
                    
                    
                    <div class="clear"></div> <br />
                    <div class="pe_total">
                        <input type="submit" value="Pagar" class="pe_continuar_btn1" name="Send">
                    </div>
                </div>
            </div>       
        </form>
                </div>
            </div>  
            </div>
        </div>
    </body>
</html>
