/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package servlets;

import be.BEnotificacionResponse;
import be.be_notificacion;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;
import pagoEfectivo.api.PagoEfectivo;
/**
 *
 * @author PROYPERU
 */
public class urlNotificacion extends HttpServlet {
    
    /**
     * Processes requests for both HTTP
     * <code>GET</code> and
     * <code>POST</code> methods.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        try {
            /* TODO output your page here. You may use following sample code. */
            out.println("<html>");
            out.println("<head>");
            out.println("<title>Servlet urlNotificacion</title>");
            out.println("</head>");
            out.println("<body>");
            out.println("<h1>Servlet urlNotificacion at " + request.getContextPath() + "</h1>");
            out.println("</body>");
            out.println("</html>");
        } finally {
            out.close();
        }
    }
    
    
    /**
     * Handles the HTTP
     * <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        RequestDispatcher dispatcher = getServletContext().getRequestDispatcher("/NotificacionCip.jsp");
        dispatcher.forward(request, response);
    }
    
    /**
     * Handles the HTTP
     * <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    //La recepción se hace por post debido a que el campo data contiene una información extensa.
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        try {
            String postvariable = "";
            if( request.getParameter("data")!=""){ //nos aseguramos que venga la version que usamos actualmente
                /**el parametro data trae la información encriptada de la transacción 
                 * en un XML como String **/
                PagoEfectivo.PublicPath = getServletContext().getInitParameter("PE_PUBLICKEY");
                PagoEfectivo.PrivatePath = getServletContext().getInitParameter("PE_PRIVATEKEY");
                PagoEfectivo.UrlPECriptography = getServletContext().getInitParameter("PE_SERVER") + getServletContext().getInitParameter("PE_WSCRYPTA");
                PagoEfectivo.UrlPEService = getServletContext().getInitParameter("PE_SERVER") + getServletContext().getInitParameter("PE_WSGENCIP");
            
                postvariable = request.getParameter("data");
                PagoEfectivo pagoefectivo = new PagoEfectivo();
                // Desencriptamos la trama
                BEnotificacionResponse notificacionResponse = pagoefectivo.DesenciptarData(postvariable);
                               
                //Dependiendo del estado se procedera a actualizar, los estados pueden ser:
                switch(Integer.parseInt(notificacionResponse.Estado)){
                    case be_notificacion.EXTORNADO: 
                        //Actualizar la transacción a Generada 
                        //(esto pasa cuando extorna, de pagado 593 pasa a generado 592)
                        //ExtornarTransaccion(cip);
                        request.setAttribute("estado", "Extornado");
                        break;
                    case be_notificacion.PAGADO: //Se realizo el pago de la transacción
                        //PagarTransaccion(cip)
                        request.setAttribute("estado", "Pagado");
                        
                        break;
                    case be_notificacion.EXPIRADO: //Expiró la transacción despues de generada como CIP
                        //ExpirarTransaccion(cip)
                        request.setAttribute("estado", "Expirado");
                        break;
                }                
            }
        } catch (Exception ex) {
            request.setAttribute("error", ex.toString().replaceAll("(\\r|\\n)", ""));
            Logger.getLogger(urlNotificacion.class.getName()).log(Level.SEVERE, null, ex);
            throw new IllegalArgumentException("Bad Request");
        }
        RequestDispatcher dispatcher = getServletContext().getRequestDispatcher("/NotificacionCip.jsp");
        dispatcher.forward(request, response);
    }
    
    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }
}
